#version 330 core

uniform float time;                      // gets incremented every frame from the host code
uniform mat4 ModelViewProjectionMatrix;

in vec4 Vertex;                          // vertex coordinates, input attribute

void main(void)
{
	vec4 v = vec4( Vertex );

	v.z += sin(4.0*v.x + time) * 0.05;

	gl_Position = ModelViewProjectionMatrix * v;
} 
